{ stdenv, hugo, fetchgit, pkgs, nodejs, ruby }:

let
    url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
    rev = "78f3b18969e32db8642dc3d63499a67f191d1ceb";
    sha256 = "0fhhj1gxdan1dm65nl20m9r5kkkdv6jvr7dwww20zz7iiab23m3f";
    requiredPackages = import ./required-packages.nix { inherit pkgs nodejs; };
in
    stdenv.mkDerivation {
        name = "blog-static";
        version = rev;
        src = fetchgit {
            inherit url rev sha256;
        };
        builder = ./builder.sh;
        converter = ./convert.rb;
        buildInputs = [ hugo requiredPackages.katex (ruby.withPackages (ps: [ ps.nokogiri ])) ];
    }
